Bug 1593419 - no network access in containers when doing 'podman run' on F28AH
Summary: no network access in containers when doing 'podman run' on F28AH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brent Baude
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1592932
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-20 18:52 UTC by Micah Abbott
Modified: 2018-10-07 20:58 UTC (History)
8 users (show)

Fixed In Version: podman-0.9.1-3.gitaba58d1.fc28 podman-0.9.3.1-1.git1cd906d.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1592932
Environment:
Last Closed: 2018-09-14 23:13:00 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Fedora Update System 2018-09-09 12:26:12 UTC
podman-0.9.1-3.gitaba58d1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-299bc6b60a

Comment 2 Fedora Update System 2018-09-09 12:26:25 UTC
podman-0.9.1-3.gitaba58d1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eefce9a96a

Comment 3 Fedora Update System 2018-09-09 20:23:45 UTC
podman-0.9.1-3.gitaba58d1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-299bc6b60a

Comment 4 Micah Abbott 2018-09-10 15:22:23 UTC
The problem persists with podman-0.9.1-3.gitaba58d1.fc28

We need a build with https://github.com/containers/libpod/pull/1431 included


# rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
● ostree://fedora-atomic:fedora/28/x86_64/testing/atomic-host
                   Version: 28.20180909.0 (2018-09-09 04:28:09)
                BaseCommit: e842b9ad860954573c5f96865d0d69c89ff48df77ee09d20efa1e7bedbe3711c
              GPGSignature: Valid signature by 128CF232A9371991C8A65695E08E7E629DB62FB1
      ReplacedBasePackages: podman 0.8.5-5.gitdc5a711.fc28 -> 0.9.1-3.gitaba58d1.fc28

  ostree://fedora-atomic:fedora/28/x86_64/testing/atomic-host
                   Version: 28.20180909.0 (2018-09-09 04:28:09)
                    Commit: e842b9ad860954573c5f96865d0d69c89ff48df77ee09d20efa1e7bedbe3711c
              GPGSignature: Valid signature by 128CF232A9371991C8A65695E08E7E629DB62FB1

# rpm -q podman
podman-0.9.1-3.gitaba58d1.fc28.x86_64

# podman version
Version:       0.9.1
Go Version:    go1.10.4
OS/Arch:       linux/amd64

# podman run --rm -it docker.io/alpine ping -c5 1.1.1.1
PING 1.1.1.1 (1.1.1.1): 56 data bytes

--- 1.1.1.1 ping statistics ---
5 packets transmitted, 0 packets received, 100% packet loss

Comment 5 Fedora Update System 2018-09-11 18:10:43 UTC
podman-0.9.1-3.gitaba58d1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eefce9a96a

Comment 6 Fedora Update System 2018-09-12 03:32:30 UTC
podman-0.9.1.1-1.dev.git95dbcad.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54fd02eecd

Comment 7 Fedora Update System 2018-09-13 03:32:11 UTC
podman-0.9.1.1-1.dev.git95dbcad.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54fd02eecd

Comment 8 Fedora Update System 2018-09-14 23:13:00 UTC
podman-0.9.1-3.gitaba58d1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-09-20 13:30:59 UTC
podman-0.9.2-2.git81df604.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 10 Fedora Update System 2018-09-20 16:19:36 UTC
podman-0.9.2-2.git81df604.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 11 Fedora Update System 2018-09-24 14:39:47 UTC
podman-0.9.3-2.gita723353.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 12 Fedora Update System 2018-09-27 02:07:56 UTC
podman-0.9.3-4.gita723353.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 13 Fedora Update System 2018-09-27 14:02:36 UTC
podman-0.9.3.1-1.git1cd906d.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 14 Fedora Update System 2018-09-27 16:41:06 UTC
podman-0.9.3.1-1.git1cd906d.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 15 Fedora Update System 2018-10-07 20:58:24 UTC
podman-0.9.3.1-1.git1cd906d.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.